--[[ uses code from  pbInfo v0.09
	by p.b. a.k.a. novayuna
	released under the Creative Commons License By-Nc-Sa: http://creativecommons.org/licenses/by-nc-sa/3.0/
]]

function LootFilterConf_SetChecked(button, value)
	if (value == true) then
		button:SetChecked(1);
	else
		button:SetChecked(nil);
	end;
end;
function LootFilterConf_IsChecked(button)
	if button:IsChecked() then
		return true;
	else
		return false;
	end;
end;
-------- chat dropdown
function LootFilterConf_ChatDropdown_OnLoad(this)
	UIDropDownMenu_SetWidth(this, 100);
	UIDropDownMenu_Initialize(this, LootFilterConf_ChatDropDown_Show);
    if (type(lootFilterConf) ~= "table") then
		UIDropDownMenu_SetSelectedID(this,1);
	elseif (type(lootFilterConf[LF_playerName]) ~= "table") then
		UIDropDownMenu_SetSelectedID(this,1);
	else
		UIDropDownMenu_SetSelectedID(this, lootFilterConf[LF_playerName]["chatToUse"]);
	end
end
function LootFilterConf_ChatDropDown_Show()
	local chat;
	local chatNames = {"General", "Combat", "Party", "Guild"}
	for i = 1, 4, 1 do
		chat = {};
		chat.text = chatNames[i];
		chat.func = LootFilterConf_ChatDropDown_Click;
		UIDropDownMenu_AddButton(chat);
	end	
end
function LootFilterConf_ChatDropDown_Click(button)
	UIDropDownMenu_SetSelectedID(LootFilterConf_SettingChatToUse, button:GetID());
end


------ diskey dropdown
function LootFilterConf_DisKeyDropdown_OnLoad(this)
	UIDropDownMenu_SetWidth(this, 100);
	UIDropDownMenu_Initialize(this, LootFilterConf_DisKeyDropDown_Show);
    if (type(lootFilterConf) ~= "table") then
		UIDropDownMenu_SetSelectedID(this,1);
	elseif (type(lootFilterConf[LF_playerName]) ~= "table") then
		UIDropDownMenu_SetSelectedID(this,1);
	else	
		UIDropDownMenu_SetSelectedID(this, lootFilterConf[LF_playerName]["disKey"]);
	end;	
end
function LootFilterConf_DisKeyDropDown_Show()
	local disKey;
	local disKeyNames = {"Shift", "Alt", "Ctrl"}
	for i = 1, 3, 1 do
		disKey = {};
		disKey.text = disKeyNames[i];
		disKey.func = LootFilterConf_DisKeyDropDown_Click;
		UIDropDownMenu_AddButton(disKey);
	end	
end
function LootFilterConf_DisKeyDropDown_Click(button)
	UIDropDownMenu_SetSelectedID(LootFilterConf_SettingDisKey, button:GetID());
end


function LootFilterConf_OnShow()
	LootFilterConf_SetChecked(LootFilterConf_SettingEnable, 					lootFilterConf[LF_playerName]["ENABLE"]);
	LootFilterConf_SetChecked(LootFilterConf_showLoot, 							lootFilterConf[LF_playerName]["showLoot"]);
	LootFilterConf_SetChecked(LootFilterConf_showJunk, 							lootFilterConf[LF_playerName]["showJunk"]);
	LootFilterConf_SetChecked(LootFilterConf_useWildcards, 						lootFilterConf[LF_playerName]["useWildcards"]);
	LootFilterConf_SetChecked(LootFilterConf_SettingEnableSweepGarbage, 		lootFilterConf[LF_playerName]["EnableSweepGarbage"]);
	LootFilterConf_SetChecked(LootFilterConf_SettingEnableSweepGarbageOnLoot, 	lootFilterConf[LF_playerName]["sweepGarbageOnLoot"]);
	LootFilterConf_SetChecked(LootFilterConf_SettingEnableSweepGarbageAuto, 	lootFilterConf[LF_playerName]["autoSweepGarbage"]);
	LootFilterConf_SetChecked(LootFilterConf_SettingEnableFilterOnPickup, 		lootFilterConf[LF_playerName]["enableFilterOnPickup"]);
	LootFilterConf_SetChecked(LootFilterConf_SettingShowGarbageLog, 			lootFilterConf[LF_playerName]["showGarbageLog"]);
	LootFilterConf_ChatDropdown_OnLoad(LootFilterConf_SettingChatToUse)
	LootFilterConf_DisKeyDropdown_OnLoad(LootFilterConf_SettingDisKey)
	--LootFilterConf_SetChecked(LootFilterConf_fastLooting, 						lootFilterConf["fastLooting"]);
end;
function LootFilterConf_Save()
	lootFilterConf[LF_playerName]["ENABLE"]				= LootFilterConf_IsChecked(LootFilterConf_SettingEnable);
	lootFilterConf[LF_playerName]["showLoot"] 				= LootFilterConf_IsChecked(LootFilterConf_showLoot);
	lootFilterConf[LF_playerName]["showJunk"] 				= LootFilterConf_IsChecked(LootFilterConf_showJunk);
	lootFilterConf[LF_playerName]["useWildcards"]			= LootFilterConf_IsChecked(LootFilterConf_useWildcards);
	lootFilterConf[LF_playerName]["EnableSweepGarbage"]	= LootFilterConf_IsChecked(LootFilterConf_SettingEnableSweepGarbage);
	lootFilterConf[LF_playerName]["sweepGarbageOnLoot"]	= LootFilterConf_IsChecked(LootFilterConf_SettingEnableSweepGarbageOnLoot);
	lootFilterConf[LF_playerName]["autoSweepGarbage"]		= LootFilterConf_IsChecked(LootFilterConf_SettingEnableSweepGarbageAuto);
	lootFilterConf[LF_playerName]["enableFilterOnPickup"]	= LootFilterConf_IsChecked(LootFilterConf_SettingEnableFilterOnPickup);
	lootFilterConf[LF_playerName]["showGarbageLog"]		= LootFilterConf_IsChecked(LootFilterConf_SettingShowGarbageLog);
	lootFilterConf[LF_playerName]["chatToUse"]				= tonumber(UIDropDownMenu_GetSelectedID(LootFilterConf_SettingChatToUse));
	lootFilterConf[LF_playerName]["disKey"]				= tonumber(UIDropDownMenu_GetSelectedID(LootFilterConf_SettingDisKey));

	
	--lootFilterConf["fastLooting"]			= UIDropDownMenu_GetSelectedID(LootFilterConf_fastLooting)

	l_log("Settings succesefully saved.");
end;